MailRecipientHelper (consumer-service 1.8.0-SNAPSHOT API)
Date: 2013-02-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.mail
Class MailRecipientHelper

    java.lang.Object
      org.gcube.messaging.common.consumer.mail.MailRecipientHelper

    public class MailRecipientHelper

extends Object

Mail recipient file parser

Author:
  Andrea Manzi(CERN)

Nested Class Summary
`class` | `MailRecipientHelper.MonitorUser` Monitor Users

Field Summary
`static org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Constructor Summary
`MailRecipientHelper()` constructor
`MailRecipientHelper(File file)` constructor

Method Summary
`Double` | `getCpuLoadThreshold()` set the CPUload
`Long` | `getDiskQuotaThreshold()` get diskQuota
`Long` | `getVirtualMemoryThreshold()` get virtual memory
`void` | `parse(String file)`
`void` | `setCpuLoadThreshold(Double cpuLoadThreshold)` set the CPU load
`void` | `setDiskQuotaThreshold(Long diskQuotaThreshold)` set disk quota
`void` | `setVirtualMemoryThreshold(Long virtualMemoryThreshold)` set teh virtual memory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### MailRecipientHelper

    public MailRecipientHelper(File file)
                        throws Exception

  constructor

  Parameters:
    `file` - teh file
  Throws:
    `Exception` - exception

### MailRecipientHelper

    public MailRecipientHelper()
                        throws Exception

  constructor

  Parameters:
    `file` - the file
  Throws:
    `Exception` - exception

Method Detail

### parse

    public void parse(String file)
               throws Exception

  Parameters:
    `file` - file
  Throws:
    `Exception` - exception

### getDiskQuotaThreshold

    public Long getDiskQuotaThreshold()

  get diskQuota

  Returns:
    the disk quota

### setDiskQuotaThreshold

    public void setDiskQuotaThreshold(Long diskQuotaThreshold)

  set disk quota

  Parameters:
    `diskQuotaThreshold` -

### getVirtualMemoryThreshold

    public Long getVirtualMemoryThreshold()

  get virtual memory

  Returns:
    the virtual memory

### setVirtualMemoryThreshold

    public void setVirtualMemoryThreshold(Long virtualMemoryThreshold)

  set teh virtual memory

  Parameters:
    `virtualMemoryThreshold` -

### getCpuLoadThreshold

    public Double getCpuLoadThreshold()

  set the CPUload

  Returns:

### setCpuLoadThreshold

    public void setCpuLoadThreshold(Double cpuLoadThreshold)

  set the CPU load

  Parameters:
    `cpuLoadThreshold` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.